Bug 2217970 - Review Request: mikktspace - A common standard for tangent space used in baking tools to produce normal maps
Summary: Review Request: mikktspace - A common standard for tangent space used in baki...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://www.mikktspace.com/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-06-27 17:36 UTC by nfrizzel
Modified: 2023-07-13 18:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
The .spec file difference from Copr build 6119196 to 6170301 (1.14 KB, patch)
2023-07-13 18:13 UTC, Fedora Review Service
no flags Details | Diff

Description nfrizzel 2023-06-27 17:36:33 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nfrizzel/MikkTSpace/fedora-38-x86_64/06118899-mikktspace/mikktspace.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/nfrizzel/MikkTSpace/fedora-38-x86_64/06118899-mikktspace/mikktspace-0-1.fc38.src.rpm
Description: A common standard for tangent space used in baking tools to produce normal maps.
Fedora Account System Username: nfrizzel

This is my first package submission, so there may be some things in it that need adjusting, and I believe this also means I need a sponsor. I've started with a relatively straightfoward (from the standpoint of packaging) project. The upstream is https://github.com/mmikk/MikkTSpace

Comment 1 Fedora Review Service 2023-06-27 17:41:44 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6119196
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2217970-mikktspace/fedora-rawhide-x86_64/06119196-mikktspace/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 nfrizzel 2023-07-07 17:22:09 UTC
This needs a little more time in the oven, I'm adding NotReady for now.

Comment 3 nfrizzel 2023-07-13 18:09:42 UTC
I've taken another look at this and hopefully fixed the problems relating to proper versioning I was concerned about. One other area that may need a look at for review is the build flags to make sure they are being specified properly. The updated links are:

Spec URL: https://download.copr.fedorainfracloud.org/results/nfrizzel/mikktspace/fedora-38-x86_64/06166781-mikktspace/mikktspace.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nfrizzel/mikktspace/fedora-38-x86_64/06166781-mikktspace/mikktspace-0-1.fc38.src.rpm

Comment 4 Fedora Review Service 2023-07-13 18:13:56 UTC
Created attachment 1975638 [details]
The .spec file difference from Copr build 6119196 to 6170301

Comment 5 Fedora Review Service 2023-07-13 18:13:58 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6170301
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2217970-mikktspace/fedora-rawhide-x86_64/06170301-mikktspace/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.


Note You need to log in before you can comment on or make changes to this bug.